local assets =
{
	Asset("ANIM", "anim/box_gear.zip"),
	Asset("ATLAS", "images/inventoryimages/box_gear.xml"),
	Asset("IMAGE", "images/inventoryimages/box_gear.tex"),
}

local function fn()
	local inst = CreateEntity()

	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	inst.entity:AddNetwork()
    MakeInventoryPhysics(inst)

    inst.AnimState:SetBank("box_gear")
    inst.AnimState:SetBuild("box_gear")
    inst.AnimState:PlayAnimation("anim")

		inst.entity:SetPristine()

	    if not TheWorld.ismastersim then
	        return inst
	    end

    inst:AddComponent("inspectable")

	inst:AddComponent("stackable")
	inst.components.stackable.maxsize = 40

    inst:AddComponent("inventoryitem")

	--inst.components.inventoryitem.imagename = "box_gear"
	inst.components.inventoryitem.atlasname = "images/inventoryimages/box_gear.xml"

    return inst
end

STRINGS.NAMES.BOX_GEAR 									= "Clockwork Box"
STRINGS.RECIPE_DESC.BOX_GEAR 							= "A box full of gears."

STRINGS.CHARACTERS.GENERIC.DESCRIBE.BOX_GEAR 			= "Is this even scientifically possible?"
STRINGS.CHARACTERS.WILLOW.DESCRIBE.BOX_GEAR 			= "I wonder what it does."
STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.BOX_GEAR 			= "Is puzzling box."
STRINGS.CHARACTERS.WENDY.DESCRIBE.BOX_GEAR 				= "Reminds me of a music box."
STRINGS.CHARACTERS.WX78.DESCRIBE.BOX_GEAR 				= "ERROR CANNOT COMPREHEND"
STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.BOX_GEAR 		= "A complicated box serving an unknown purpose."
STRINGS.CHARACTERS.WOODIE.DESCRIBE.BOX_GEAR 			= "I made that?"
STRINGS.CHARACTERS.WAXWELL.DESCRIBE.BOX_GEAR 			= "It cannot be of any use in its current state."
STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.BOX_GEAR 	= "A böx to aid my quest."
STRINGS.CHARACTERS.WEBBER.DESCRIBE.BOX_GEAR 		= "A music box?"

--if IsDLCEnabled(CAPY_DLC) then
	--STRINGS.CHARACTERS.WOODLEGS.DESCRIBE.BOX_GEAR		= "Whut can be inside thar?"
	--STRINGS.CHARACTERS.WALANI.DESCRIBE.BOX_GEAR			= "Looks like a music box."
	--STRINGS.CHARACTERS.WARLY.DESCRIBE.BOX_GEAR			= "Another mystery."
--end

return Prefab( "common/inventory/box_gear", fn, assets)
